=== modified file 'NEWS.txt'
--- NEWS.txt	2006-09-17 17:22:33 +0000
+++ NEWS.txt	2006-09-25 01:58:44 +0000
@@ -1,6 +1,13 @@
 Olive NEWS
 ==========
 
+Olive 0.11.0 ?
+
+ - Got rid of the backend code. (Jelmer Vernooij)
+ - Some cleanups.
+ - Directory listing much faster due to native bzrlib usage.
+ - bzrk used from bzr-gtk.
+
 Olive 0.10.1 (2006-09-17)
 
  - Fixed bug #53963: Close button in About box.

=== modified file 'README.txt'
--- README.txt	2006-09-11 18:58:22 +0000
+++ README.txt	2006-09-25 01:58:44 +0000
@@ -15,7 +15,8 @@
  - Python (>= 2.4)
  - GTK (>= 2.8)
  - PyGTK (>= 2.8)
- - Bazaar (>= 0.8.2)
+ - Bazaar (>= 0.11)
+ - bzr-gtk (>= 0.11)
  - pyWin32 (only for Windows, tested with build 209)
 
 Install on Linux

=== modified file 'genpot.sh'
--- genpot.sh	2006-08-20 13:02:35 +0000
+++ genpot.sh	2006-09-25 01:58:44 +0000
@@ -23,7 +23,7 @@
 fi
 xgettext -L python -o po/olive-gtk.pot olive-gtk
 xgettext -j -o po/olive-gtk.pot olive.glade
-cd olive/frontend/gtk
-xgettext -j -o ../../../po/olive-gtk.pot *.py
-cd viz
-xgettext -j -o ../../../../po/olive-gtk.pot *.py
+cd olive/
+xgettext -j -o ../po/olive-gtk.pot *.py
+#cd viz
+#xgettext -j -o ../../../../po/olive-gtk.pot *.py

=== added file 'olive/__init__.py'
--- olive/__init__.py	1970-01-01 00:00:00 +0000
+++ olive/__init__.py	2006-09-25 01:58:44 +0000
@@ -0,0 +1,737 @@
+# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+import ConfigParser
+import os
+import os.path
+import sys
+
+try:
+    import pygtk
+    pygtk.require("2.0")
+except:
+    pass
+try:
+    import gtk
+    import gtk.gdk
+    import gtk.glade
+except:
+    sys.exit(1)
+
+from handler import OliveHandler
+import bzrlib.errors as errors
+
+# Olive GTK UI version
+__version__ = '0.11.0'
+
+class OliveGtk:
+    """ The main Olive GTK frontend class. This is called when launching the
+    program. """
+    
+    def __init__(self):
+        # Load the glade file
+        if sys.platform == 'win32':
+            self.gladefile = os.path.dirname(sys.executable) + "/share/olive/olive.glade"
+        else:
+            self.gladefile = "/usr/share/olive/olive.glade"
+
+        if not os.path.exists(self.gladefile):
+            # Load from current directory if not installed
+            self.gladefile = "olive.glade"
+            # Check again
+            if not os.path.exists(self.gladefile):
+                # Fail
+                print _('Glade file cannot be found.')
+                sys.exit(1)
+
+        self.toplevel = gtk.glade.XML(self.gladefile, 'window_main', 'olive-gtk')
+        
+        self.window = self.toplevel.get_widget('window_main')
+        
+        self.pref = OlivePreferences()
+        self.comm = OliveCommunicator(self.toplevel, self.pref)
+        handler = OliveHandler(self.gladefile, self.comm)
+        
+        # Dictionary for signal_autoconnect
+        dic = { "on_window_main_destroy": gtk.main_quit,
+                "on_window_main_delete_event": handler.on_window_main_delete_event,
+                "on_quit_activate": handler.on_window_main_delete_event,
+                "on_about_activate": handler.on_about_activate,
+                "on_menuitem_add_files_activate": handler.on_menuitem_add_files_activate,
+                "on_menuitem_remove_file_activate": handler.on_menuitem_remove_file_activate,
+                "on_menuitem_file_make_directory_activate": handler.on_menuitem_file_make_directory_activate,
+                "on_menuitem_file_move_activate": handler.on_menuitem_file_move_activate,
+                "on_menuitem_file_rename_activate": handler.on_menuitem_file_rename_activate,
+                "on_menuitem_view_show_hidden_files_activate": handler.on_menuitem_view_show_hidden_files_activate,
+                "on_menuitem_view_refresh_activate": handler.on_menuitem_view_refresh_activate,
+                "on_menuitem_branch_initialize_activate": handler.on_menuitem_branch_initialize_activate,
+                "on_menuitem_branch_get_activate": handler.on_menuitem_branch_get_activate,
+                "on_menuitem_branch_checkout_activate": handler.on_menuitem_branch_checkout_activate,
+                "on_menuitem_branch_commit_activate": handler.on_menuitem_branch_commit_activate,
+                "on_menuitem_branch_push_activate": handler.on_menuitem_branch_push_activate,
+                "on_menuitem_branch_pull_activate": handler.on_menuitem_branch_pull_activate,
+                "on_menuitem_branch_status_activate": handler.on_menuitem_branch_status_activate,
+                "on_menuitem_branch_missing_revisions_activate": handler.on_menuitem_branch_missing_revisions_activate,
+                "on_menuitem_stats_diff_activate": handler.on_menuitem_stats_diff_activate,
+                "on_menuitem_stats_log_activate": handler.on_menuitem_stats_log_activate,
+                "on_menuitem_stats_infos_activate": handler.on_menuitem_stats_infos_activate,
+                "on_toolbutton_refresh_clicked": handler.on_menuitem_view_refresh_activate,
+                "on_toolbutton_log_clicked": handler.on_menuitem_stats_log_activate,
+                #"on_menutoolbutton_diff_clicked": handler.on_menuitem_stats_diff_activate,
+                "on_toolbutton_diff_clicked": handler.on_menuitem_stats_diff_activate,
+                "on_toolbutton_commit_clicked": handler.on_menuitem_branch_commit_activate,
+                "on_toolbutton_pull_clicked": handler.on_menuitem_branch_pull_activate,
+                "on_toolbutton_push_clicked": handler.on_menuitem_branch_push_activate,
+                "on_treeview_right_button_press_event": handler.on_treeview_right_button_press_event,
+                "on_treeview_right_row_activated": handler.on_treeview_right_row_activated,
+                "on_treeview_left_button_press_event": handler.on_treeview_left_button_press_event,
+                "on_treeview_left_row_activated": handler.on_treeview_left_row_activated }
+        
+        # Connect the signals to the handlers
+        self.toplevel.signal_autoconnect(dic)
+        
+        # Apply window size and position
+        width = self.pref.get_preference('window_width', 'int')
+        height = self.pref.get_preference('window_height', 'int')
+        self.window.resize(width, height)
+        x = self.pref.get_preference('window_x', 'int')
+        y = self.pref.get_preference('window_y', 'int')
+        self.window.move(x, y)
+        # Apply paned position
+        pos = self.pref.get_preference('paned_position', 'int')
+        self.comm.hpaned_main.set_position(pos)
+        
+        # Apply menu to the toolbutton
+        #menubutton = self.toplevel.get_widget('menutoolbutton_diff')
+        #menubutton.set_menu(handler.menu.toolbar_diff)
+        
+        # Now we can show the window
+        self.window.show()
+        
+        # Show drive selector if under Win32
+        if sys.platform == 'win32':
+            self.comm.vbox_main_right.pack_start(self.comm.combobox_drive, False, True, 0)
+            self.comm.vbox_main_right.reorder_child(self.comm.combobox_drive, 0)
+            self.comm.combobox_drive.show()
+            self.comm.gen_hard_selector()
+        
+        # Load default data into the panels
+        self.treeview_left = self.toplevel.get_widget('treeview_left')
+        self.treeview_right = self.toplevel.get_widget('treeview_right')
+        self._load_left()
+        self._load_right()
+
+        # Apply menu state
+        self.comm.menuitem_view_show_hidden_files.set_active(self.pref.get_preference('dotted_files', 'bool'))
+        
+    def _load_left(self):
+        """ Load data into the left panel. (Bookmarks) """
+        # set cursor to busy
+        self.comm.set_busy(self.treeview_left)
+        
+        # Create TreeStore
+        treestore = gtk.TreeStore(str, str)
+        
+        # Get bookmarks
+        bookmarks = self.comm.pref.get_bookmarks()
+        
+        # Add them to the TreeStore
+        titer = treestore.append(None, [_('Bookmarks'), None])
+        for item in bookmarks:
+            title = self.comm.pref.get_bookmark_title(item)
+            treestore.append(titer, [title, item])
+        
+        # Create the column and add it to the TreeView
+        self.treeview_left.set_model(treestore)
+        tvcolumn_bookmark = gtk.TreeViewColumn(_('Bookmark'))
+        self.treeview_left.append_column(tvcolumn_bookmark)
+        
+        # Set up the cells
+        cell = gtk.CellRendererText()
+        tvcolumn_bookmark.pack_start(cell, True)
+        tvcolumn_bookmark.add_attribute(cell, 'text', 0)
+        
+        # Expand the tree
+        self.treeview_left.expand_all()
+
+        self.comm.set_busy(self.treeview_left, False)
+        
+    def _load_right(self):
+        """ Load data into the right panel. (Filelist) """
+        from bzrlib.workingtree import WorkingTree
+        
+        # set cursor to busy
+        self.comm.set_busy(self.treeview_right)
+        
+        # Create ListStore
+        liststore = gtk.ListStore(str, str, str)
+        
+        dirs = ['..']
+        files = []
+        
+        # Fill the appropriate lists
+        path = self.comm.get_path()
+        dotted_files = self.pref.get_preference('dotted_files', 'bool')
+        for item in os.listdir(path):
+            if not dotted_files and item[0] == '.':
+                continue
+            if os.path.isdir(path + os.sep + item):
+                dirs.append(item)
+            else:
+                files.append(item)
+            
+        # Sort'em
+        dirs.sort()
+        files.sort()
+        
+        # Try to open the working tree
+        notbranch = False
+        try:
+            tree1 = WorkingTree.open_containing(path)[0]
+        except errors.NotBranchError:
+            notbranch = True
+        except errors.PermissionDenied:
+            print "DEBUG: permission denied."
+        
+        if not notbranch:
+            branch = tree1.branch
+            tree2 = tree1.branch.repository.revision_tree(branch.last_revision())
+        
+            delta = tree1.changes_from(tree2, want_unchanged=True)
+        
+        # Add'em to the ListStore
+        for item in dirs:    
+            liststore.append([gtk.STOCK_DIRECTORY, item, ''])
+        for item in files:
+            status = 'unknown'
+            if not notbranch:
+                filename = tree1.relpath(path + os.sep + item)
+                
+                for rpath, id, kind, text_modified, meta_modified in delta.renamed:
+                    if rpath == filename:
+                        status = 'renamed'
+                for rpath, id, kind in delta.added:
+                    if rpath == filename:
+                        status = 'added'
+                for rpath, id, kind, text_modified, meta_modified in delta.removed:
+                    if rpath == filename:
+                        status = 'removed'
+                for rpath, id, kind, text_modified, meta_modified in delta.modified:
+                    if rpath == filename:
+                        status = 'modified'
+                for rpath, id, kind in delta.unchanged:
+                    if rpath == filename:
+                        status = 'unchanged'
+            
+            #try:
+            #    status = fileops.status(path + os.sep + item)
+            #except errors.PermissionDenied:
+            #    continue
+            
+            if status == 'renamed':
+                st = _('renamed')
+            elif status == 'removed':
+                st = _('removed')
+            elif status == 'added':
+                st = _('added')
+            elif status == 'modified':
+                st = _('modified')
+            elif status == 'unchanged':
+                st = _('unchanged')
+            else:
+                st = _('unknown')
+            liststore.append([gtk.STOCK_FILE, item, st])
+        
+        # Create the columns and add them to the TreeView
+        self.treeview_right.set_model(liststore)
+        tvcolumn_filename = gtk.TreeViewColumn(_('Filename'))
+        tvcolumn_status = gtk.TreeViewColumn(_('Status'))
+        self.treeview_right.append_column(tvcolumn_filename)
+        self.treeview_right.append_column(tvcolumn_status)
+        
+        # Set up the cells
+        cellpb = gtk.CellRendererPixbuf()
+        cell = gtk.CellRendererText()
+        tvcolumn_filename.pack_start(cellpb, False)
+        tvcolumn_filename.pack_start(cell, True)
+        tvcolumn_filename.set_attributes(cellpb, stock_id=0)
+        tvcolumn_filename.add_attribute(cell, 'text', 1)
+        tvcolumn_status.pack_start(cell, True)
+        tvcolumn_status.add_attribute(cell, 'text', 2)
+        
+        # Check if current directory is a branch
+        if not notbranch:
+            # Activate some items
+            self.comm.menuitem_branch_init.set_sensitive(False)
+            self.comm.menuitem_branch_get.set_sensitive(True)
+            self.comm.menuitem_branch_checkout.set_sensitive(True)
+            self.comm.menuitem_branch_pull.set_sensitive(True)
+            self.comm.menuitem_branch_push.set_sensitive(True)
+            self.comm.menuitem_branch_commit.set_sensitive(True)
+            self.comm.menuitem_branch_status.set_sensitive(True)
+            self.comm.menuitem_branch_missing.set_sensitive(True)
+            self.comm.menuitem_stats.set_sensitive(True)
+            self.comm.menuitem_add_files.set_sensitive(True)
+            self.comm.menuitem_remove_files.set_sensitive(True)
+            self.comm.menuitem_file_make_directory.set_sensitive(True)
+            self.comm.menuitem_file_rename.set_sensitive(True)
+            self.comm.menuitem_file_move.set_sensitive(True)
+            #self.comm.menutoolbutton_diff.set_sensitive(True)
+            self.comm.toolbutton_diff.set_sensitive(True)
+            self.comm.toolbutton_log.set_sensitive(True)
+            self.comm.toolbutton_commit.set_sensitive(True)
+            self.comm.toolbutton_pull.set_sensitive(True)
+            self.comm.toolbutton_push.set_sensitive(True)
+        else:
+            # Deactivate some items
+            self.comm.menuitem_branch_init.set_sensitive(True)
+            self.comm.menuitem_branch_get.set_sensitive(False)
+            self.comm.menuitem_branch_checkout.set_sensitive(False)
+            self.comm.menuitem_branch_pull.set_sensitive(False)
+            self.comm.menuitem_branch_push.set_sensitive(False)
+            self.comm.menuitem_branch_commit.set_sensitive(False)
+            self.comm.menuitem_branch_status.set_sensitive(False)
+            self.comm.menuitem_branch_missing.set_sensitive(False)
+            self.comm.menuitem_stats.set_sensitive(False)
+            self.comm.menuitem_add_files.set_sensitive(False)
+            self.comm.menuitem_remove_files.set_sensitive(False)
+            self.comm.menuitem_file_make_directory.set_sensitive(False)
+            self.comm.menuitem_file_rename.set_sensitive(False)
+            self.comm.menuitem_file_move.set_sensitive(False)
+            #self.comm.menutoolbutton_diff.set_sensitive(False)
+            self.comm.toolbutton_diff.set_sensitive(False)
+            self.comm.toolbutton_log.set_sensitive(False)
+            self.comm.toolbutton_commit.set_sensitive(False)
+            self.comm.toolbutton_pull.set_sensitive(False)
+            self.comm.toolbutton_push.set_sensitive(False)
+        
+        # set cursor to default
+        self.comm.set_busy(self.treeview_right, False)
+
+class OliveCommunicator:
+    """ This class is responsible for the communication between the different
+    modules. """
+    def __init__(self, toplevel, pref):
+        # Get glade main component
+        self.toplevel = toplevel
+        # Preferences object
+        self.pref = pref
+        # Default path
+        self._path = os.getcwd()
+
+        # Initialize the statusbar
+        self.statusbar = self.toplevel.get_widget('statusbar')
+        self.context_id = self.statusbar.get_context_id('olive')
+        
+        # Get the main window
+        self.window_main = self.toplevel.get_widget('window_main')
+        # Get the HPaned
+        self.hpaned_main = self.toplevel.get_widget('hpaned_main')
+        # Get the TreeViews
+        self.treeview_left = self.toplevel.get_widget('treeview_left')
+        self.treeview_right = self.toplevel.get_widget('treeview_right')
+        # Get some important menu items
+        self.menuitem_add_files = self.toplevel.get_widget('menuitem_add_files')
+        self.menuitem_remove_files = self.toplevel.get_widget('menuitem_remove_file')
+        self.menuitem_file_make_directory = self.toplevel.get_widget('menuitem_file_make_directory')
+        self.menuitem_file_rename = self.toplevel.get_widget('menuitem_file_rename')
+        self.menuitem_file_move = self.toplevel.get_widget('menuitem_file_move')
+        self.menuitem_view_show_hidden_files = self.toplevel.get_widget('menuitem_view_show_hidden_files')
+        self.menuitem_branch = self.toplevel.get_widget('menuitem_branch')
+        self.menuitem_branch_init = self.toplevel.get_widget('menuitem_branch_initialize')
+        self.menuitem_branch_get = self.toplevel.get_widget('menuitem_branch_get')
+        self.menuitem_branch_checkout = self.toplevel.get_widget('menuitem_branch_checkout')
+        self.menuitem_branch_pull = self.toplevel.get_widget('menuitem_branch_pull')
+        self.menuitem_branch_push = self.toplevel.get_widget('menuitem_branch_push')
+        self.menuitem_branch_commit = self.toplevel.get_widget('menuitem_branch_commit')
+        self.menuitem_branch_status = self.toplevel.get_widget('menuitem_branch_status')
+        self.menuitem_branch_missing = self.toplevel.get_widget('menuitem_branch_missing_revisions')
+        self.menuitem_stats = self.toplevel.get_widget('menuitem_stats')
+        self.menuitem_stats_diff = self.toplevel.get_widget('menuitem_stats_diff')
+        self.menuitem_stats_log = self.toplevel.get_widget('menuitem_stats_log')
+        # Get some toolbuttons
+        #self.menutoolbutton_diff = self.toplevel.get_widget('menutoolbutton_diff')
+        self.toolbutton_diff = self.toplevel.get_widget('toolbutton_diff')
+        self.toolbutton_log = self.toplevel.get_widget('toolbutton_log')
+        self.toolbutton_commit = self.toplevel.get_widget('toolbutton_commit')
+        self.toolbutton_pull = self.toplevel.get_widget('toolbutton_pull')
+        self.toolbutton_push = self.toplevel.get_widget('toolbutton_push')
+        # Get the drive selector
+        self.combobox_drive = gtk.combo_box_new_text()
+        self.combobox_drive.connect("changed", self._refresh_drives)
+        
+        self.vbox_main_right = self.toplevel.get_widget('vbox_main_right')
+    
+    def set_path(self, path):
+        """ Set the current path while browsing the directories. """
+        self._path = path
+    
+    def get_path(self):
+        """ Get the current path. """
+        return self._path
+    
+    def get_selected_right(self):
+        """ Get the selected filename. """
+        treeselection = self.treeview_right.get_selection()
+        (model, iter) = treeselection.get_selected()
+        
+        if iter is None:
+            return None
+        else:
+            return model.get_value(iter, 1)
+    
+    def get_selected_left(self):
+        """ Get the selected bookmark. """
+        treeselection = self.treeview_left.get_selection()
+        (model, iter) = treeselection.get_selected()
+        
+        if iter is None:
+            return None
+        else:
+            return model.get_value(iter, 1)
+
+    def set_statusbar(self, message):
+        """ Set the statusbar message. """
+        self.statusbar.push(self.context_id, message)
+    
+    def clear_statusbar(self):
+        """ Clean the last message from the statusbar. """
+        self.statusbar.pop(self.context_id)
+    
+    def refresh_left(self):
+        """ Refresh the bookmark list. """
+        # set cursor to busy
+        self.set_busy(self.treeview_left)
+        
+        # Get TreeStore and clear it
+        treestore = self.treeview_left.get_model()
+        treestore.clear()
+
+        # Get bookmarks
+        bookmarks = self.pref.get_bookmarks()
+
+        # Add them to the TreeStore
+        titer = treestore.append(None, [_('Bookmarks'), None])
+        for item in bookmarks:
+            title = self.pref.get_bookmark_title(item)
+            treestore.append(titer, [title, item])
+
+        # Add the TreeStore to the TreeView
+        self.treeview_left.set_model(treestore)
+
+        # Expand the tree
+        self.treeview_left.expand_all()
+
+        self.set_busy(self.treeview_left, False)
+
+    def refresh_right(self, path=None):
+        """ Refresh the file list. """
+        from bzrlib.workingtree import WorkingTree
+
+        self.set_busy(self.treeview_right)
+
+        if path is None:
+            path = self.get_path()
+
+        # A workaround for double-clicking Bookmarks
+        if not os.path.exists(path):
+            self.set_busy(self.treeview_right, False)
+            return
+
+        # Get ListStore and clear it
+        liststore = self.treeview_right.get_model()
+        liststore.clear()
+
+        dirs = ['..']
+        files = []
+
+        # Fill the appropriate lists
+        dotted_files = self.pref.get_preference('dotted_files', 'bool')
+        for item in os.listdir(path):
+            if not dotted_files and item[0] == '.':
+                continue
+            if os.path.isdir(path + os.sep + item):
+                dirs.append(item)
+            else:
+                files.append(item)
+
+        # Sort'em
+        dirs.sort()
+        files.sort()
+        
+        # Try to open the working tree
+        notbranch = False
+        try:
+            tree1 = WorkingTree.open_containing(path)[0]
+        except errors.NotBranchError:
+            notbranch = True
+        except errors.PermissionDenied:
+            print "DEBUG: permission denied."
+        
+        if not notbranch:
+            branch = tree1.branch
+            tree2 = tree1.branch.repository.revision_tree(branch.last_revision())
+        
+            delta = tree1.changes_from(tree2, want_unchanged=True)
+
+        # Add'em to the ListStore
+        for item in dirs:
+            liststore.append([gtk.STOCK_DIRECTORY, item, ''])
+        for item in files:
+            status = 'unknown'
+            if not notbranch:
+                filename = tree1.relpath(path + os.sep + item)
+                
+                for rpath, id, kind, text_modified, meta_modified in delta.renamed:
+                    if rpath == filename:
+                        status = 'renamed'
+                for rpath, id, kind in delta.added:
+                    if rpath == filename:
+                        status = 'added'
+                for rpath, id, kind, text_modified, meta_modified in delta.removed:
+                    if rpath == filename:
+                        status = 'removed'
+                for rpath, id, kind, text_modified, meta_modified in delta.modified:
+                    if rpath == filename:
+                        status = 'modified'
+                for rpath, id, kind in delta.unchanged:
+                    if rpath == filename:
+                        status = 'unchanged'
+            
+            #try:
+            #    status = fileops.status(path + os.sep + item)
+            #except errors.PermissionDenied:
+            #    continue
+
+            if status == 'renamed':
+                st = _('renamed')
+            elif status == 'removed':
+                st = _('removed')
+            elif status == 'added':
+                st = _('added')
+            elif status == 'modified':
+                st = _('modified')
+            elif status == 'unchanged':
+                st = _('unchanged')
+            else:
+                st = _('unknown')
+            liststore.append([gtk.STOCK_FILE, item, st])
+
+        # Add the ListStore to the TreeView
+        self.treeview_right.set_model(liststore)
+
+        # Check if current directory is a branch
+        if not notbranch:
+            # Activate some items
+            self.menuitem_branch_init.set_sensitive(False)
+            self.menuitem_branch_get.set_sensitive(True)
+            self.menuitem_branch_checkout.set_sensitive(True)
+            self.menuitem_branch_pull.set_sensitive(True)
+            self.menuitem_branch_push.set_sensitive(True)
+            self.menuitem_branch_commit.set_sensitive(True)
+            self.menuitem_branch_status.set_sensitive(True)
+            self.menuitem_branch_missing.set_sensitive(True)
+            self.menuitem_stats.set_sensitive(True)
+            self.menuitem_add_files.set_sensitive(True)
+            self.menuitem_remove_files.set_sensitive(True)
+            self.menuitem_file_make_directory.set_sensitive(True)
+            self.menuitem_file_rename.set_sensitive(True)
+            self.menuitem_file_move.set_sensitive(True)
+            #self.menutoolbutton_diff.set_sensitive(True)
+            self.toolbutton_diff.set_sensitive(True)
+            self.toolbutton_log.set_sensitive(True)
+            self.toolbutton_commit.set_sensitive(True)
+            self.toolbutton_pull.set_sensitive(True)
+            self.toolbutton_push.set_sensitive(True)
+        else:
+            # Deactivate some items
+            self.menuitem_branch_init.set_sensitive(True)
+            self.menuitem_branch_get.set_sensitive(False)
+            self.menuitem_branch_checkout.set_sensitive(False)
+            self.menuitem_branch_pull.set_sensitive(False)
+            self.menuitem_branch_push.set_sensitive(False)
+            self.menuitem_branch_commit.set_sensitive(False)
+            self.menuitem_branch_status.set_sensitive(False)
+            self.menuitem_branch_missing.set_sensitive(False)
+            self.menuitem_stats.set_sensitive(False)
+            self.menuitem_add_files.set_sensitive(False)
+            self.menuitem_remove_files.set_sensitive(False)
+            self.menuitem_file_make_directory.set_sensitive(False)
+            self.menuitem_file_rename.set_sensitive(False)
+            self.menuitem_file_move.set_sensitive(False)
+            #self.menutoolbutton_diff.set_sensitive(False)
+            self.toolbutton_diff.set_sensitive(False)
+            self.toolbutton_log.set_sensitive(False)
+            self.toolbutton_commit.set_sensitive(False)
+            self.toolbutton_pull.set_sensitive(False)
+            self.toolbutton_push.set_sensitive(False)
+
+        self.set_busy(self.treeview_right, False)
+
+    def set_busy(self, widget, busy=True):
+        if busy:
+            widget.window.set_cursor(gtk.gdk.Cursor(gtk.gdk.WATCH))
+        else:
+            widget.window.set_cursor(gtk.gdk.Cursor(gtk.gdk.LEFT_PTR))
+
+        gtk.main_iteration(0)
+
+    def _harddisks(self):
+        """ Returns hard drive letters under Win32. """
+        try:
+            import win32file
+            import string
+        except ImportError:
+            if sys.platform == 'win32':
+                print "pyWin32 modules needed to run Olive on Win32."
+                sys.exit(1)
+            else:
+                pass
+        
+        driveletters = []
+        for drive in string.ascii_uppercase:
+            if win32file.GetDriveType(drive+':') == win32file.DRIVE_FIXED:
+                driveletters.append(drive+':')
+        return driveletters
+    
+    def gen_hard_selector(self):
+        """ Generate the hard drive selector under Win32. """
+        drives = self._harddisks()
+        for drive in drives:
+            self.combobox_drive.append_text(drive)
+    
+    def _refresh_drives(self, combobox):
+        model = combobox.get_model()
+        active = combobox.get_active()
+        if active >= 0:
+            drive = model[active][0]
+            self.refresh_right(drive + '\\')
+
+class OlivePreferences:
+    """ A class which handles Olive's preferences. """
+    def __init__(self):
+        """ Initialize the Preferences class. """
+        # Some default options
+        self.defaults = { 'strict_commit' : False,
+                          'dotted_files'  : False,
+                          'window_width'  : 700,
+                          'window_height' : 400,
+                          'window_x'      : 40,
+                          'window_y'      : 40,
+                          'paned_position': 200 }
+
+        # Create a config parser object
+        self.config = ConfigParser.RawConfigParser()
+        
+        # Load the configuration
+        if sys.platform == 'win32':
+            # Windows - no dotted files
+            self.config.read([os.path.expanduser('~/olive.conf')])
+        else:
+            self.config.read([os.path.expanduser('~/.olive.conf')])
+        
+    def _get_default(self, option):
+        """ Get the default option for a preference. """
+        try:
+            ret = self.defaults[option]
+        except KeyError:
+            return None
+        else:
+            return ret
+
+    def refresh(self):
+        """ Refresh the configuration. """
+        # First write out the changes
+        self.write()
+        # Then load the configuration again
+        if sys.platform == 'win32':
+            # Windows - no dotted files
+            self.config.read([os.path.expanduser('~/olive.conf')])
+        else:
+            self.config.read([os.path.expanduser('~/.olive.conf')])
+
+    def write(self):
+        """ Write the configuration to the appropriate files. """
+        if sys.platform == 'win32':
+            # Windows - no dotted files
+            fp = open(os.path.expanduser('~/olive.conf'), 'w')
+            self.config.write(fp)
+            fp.close()
+        else:
+            fp = open(os.path.expanduser('~/.olive.conf'), 'w')
+            self.config.write(fp)
+            fp.close()
+
+    def get_preference(self, option, kind='str'):
+        """ Get the value of the given option.
+        
+        :param kind: str/bool/int/float. default: str
+        """
+        if self.config.has_option('preferences', option):
+            if kind == 'bool':
+                return self.config.getboolean('preferences', option)
+            elif kind == 'int':
+                return self.config.getint('preferences', option)
+            elif kind == 'float':
+                return self.config.getfloat('preferences', option)
+            else:
+                return self.config.get('preferences', option)
+        else:
+            try:
+                return self._get_default(option)
+            except KeyError:
+                return None
+    
+    def set_preference(self, option, value):
+        """ Set the value of the given option. """
+        if self.config.has_section('preferences'):
+            self.config.set('preferences', option, value)
+        else:
+            self.config.add_section('preferences')
+            self.config.set('preferences', option, value)
+    
+    def get_bookmarks(self):
+        """ Return the list of bookmarks. """
+        bookmarks = self.config.sections()
+        if self.config.has_section('preferences'):
+            bookmarks.remove('preferences')
+        return bookmarks
+
+    def add_bookmark(self, path):
+        """ Add bookmark. """
+        try:
+            self.config.add_section(path)
+        except ConfigParser.DuplicateSectionError:
+            return False
+        else:
+            return True
+
+    def get_bookmark_title(self, path):
+        """ Get bookmark title. """
+        try:
+            ret = self.config.get(path, 'title')
+        except ConfigParser.NoOptionError:
+            ret = path
+        
+        return ret
+    
+    def set_bookmark_title(self, path, title):
+        """ Set bookmark title. """
+        self.config.set(path, 'title', title)
+    
+    def remove_bookmark(self, path):
+        """ Remove bookmark. """
+        return self.config.remove_section(path)

=== modified file 'olive/add.py'
--- olive/add.py	2006-09-05 01:55:34 +0000
+++ olive/add.py	2006-09-25 01:58:44 +0000
@@ -27,7 +27,7 @@
 except:
     sys.exit(1)
 
-import bzrlib
+import bzrlib.add
 import bzrlib.errors as errors
 
 class OliveAdd:

=== added file 'olive/info_helper.py'
--- olive/info_helper.py	1970-01-01 00:00:00 +0000
+++ olive/info_helper.py	2006-09-25 01:58:44 +0000
@@ -0,0 +1,304 @@
+# Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
+# Some parts of the code are:
+# Copyright (C) 2005, 2006 by Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+import time
+
+import bzrlib
+
+import bzrlib.osutils as osutils
+
+from bzrlib.info import _repo_relpath
+from bzrlib.missing import find_unmerged
+
+def get_location_info(repository, branch=None, working=None):
+    """ Get known locations for working, branch and repository.
+    
+    :return: a dictionary containing the needed infos
+    """
+    ret = {}
+    repository_path = repository.bzrdir.root_transport.base
+    if working and branch:
+        working_path = working.bzrdir.root_transport.base
+        branch_path = branch.bzrdir.root_transport.base
+        if working_path != branch_path:
+            # lightweight checkout
+            ret['lightcoroot'] = working_path
+            if repository.is_shared():
+                # lightweight checkout of branch in shared repository
+                ret['sharedrepo'] = repository_path
+                ret['repobranch'] = _repo_relpath(repository_path, branch_path)
+            else:
+                # lightweight checkout of standalone branch
+                ret['cobranch'] = branch_path
+        elif repository.is_shared():
+            # branch with tree inside shared repository
+            ret['sharedrepo'] = repository_path
+            ret['repoco'] = _repo_relpath(repository_path, branch_path)
+        elif branch.get_bound_location():
+            # normal checkout
+            ret['coroot'] = working_path
+            ret['cobranch'] = branch.get_bound_location()
+        else:
+            # standalone
+            ret['branchroot'] = working_path
+    elif branch:
+        branch_path = branch.bzrdir.root_transport.base
+        if repository.is_shared():
+            # branch is part of shared repository
+            ret['sharedrepo'] = repository_path
+            ret['repobranch'] = _repo_relpath(repository_path, branch_path)
+        else:
+            # standalone branch
+            ret['branchroot'] = branch_path
+    else:
+        # shared repository
+        assert repository.is_shared()
+        ret['sharedrepo'] = repository_path
+    
+    return ret
+
+def get_related_info(branch):
+    """ Get parent and push location of branch.
+    
+    :return: a dictionary containing the needed infos
+    """
+    ret = {}
+    if branch.get_parent() or branch.get_push_location():
+        if branch.get_parent():
+            ret['parentbranch'] = branch.get_parent()
+        if branch.get_push_location():
+            ret['publishbranch'] = branch.get_push_location()
+    
+    return ret
+
+
+def get_format_info(control=None, repository=None, branch=None, working=None):
+    """ Get known formats for control, working, branch and repository.
+    
+    :return: a dictionary containing the needed infos
+    """
+    ret = {}
+    if control:
+        ret['control'] = control._format.get_format_description()
+    if working:
+        ret['workingtree'] = working._format.get_format_description()
+    if branch:
+        ret['branch'] = branch._format.get_format_description()
+    if repository:
+        ret['repository'] = repository._format.get_format_description()
+    
+    return ret
+
+
+def get_locking_info(repository, branch=None, working=None):
+    """ Get locking status of working, branch and repository.
+    
+    :return: a dictionary containing the needed infos
+    """
+    ret = {}
+    if (repository.get_physical_lock_status() or
+        (branch and branch.get_physical_lock_status()) or
+        (working and working.get_physical_lock_status())):
+        if working:
+            if working.get_physical_lock_status():
+                status = 'locked'
+            else:
+                status = 'unlocked'
+            ret['workingtree'] = status
+        if branch:
+            if branch.get_physical_lock_status():
+                status = 'locked'
+            else:
+                status = 'unlocked'
+            ret['branch'] = status
+        if repository:
+            if repository.get_physical_lock_status():
+                status = 'locked'
+            else:
+                status = 'unlocked'
+            ret['repository'] = status
+    
+    return ret
+
+def get_missing_revisions_branch(branch):
+    """ Get missing master revisions in branch.
+    
+    :return: a dictionary containing the needed infos
+    """
+    ret = {}
+    # Try with inaccessible branch ?
+    master = branch.get_master_branch()
+    if master:
+        local_extra, remote_extra = find_unmerged(branch, master)
+        if remote_extra:
+            ret = len(remote_extra)
+    
+    return ret
+
+
+def get_missing_revisions_working(working):
+    """ Get missing revisions in working tree.
+    
+    :return: a dictionary containing the needed infos
+    """
+    if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
+        # function deprecated after 0.9
+        from bzrlib.delta import compare_trees
+
+    ret = {}
+    branch = working.branch
+    basis = working.basis_tree()
+    work_inv = working.inventory
+    
+    if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
+        delta = compare_trees(basis, working, want_unchanged=True)
+    else:
+        delta = working.changes_from(basis, want_unchanged=True)
+
+    history = branch.revision_history()
+    tree_last_id = working.last_revision()
+
+    if len(history) and tree_last_id != history[-1]:
+        tree_last_revno = branch.revision_id_to_revno(tree_last_id)
+        missing_count = len(history) - tree_last_revno
+        ret = missing_count
+    
+    return ret
+
+
+def get_working_stats(working):
+    """ Get statistics about a working tree.
+    
+    :return: a dictionary containing the needed infos
+    """
+    if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
+        # function deprecated after 0.9
+        from bzrlib.delta import compare_trees
+    
+    ret = {}
+    basis = working.basis_tree()
+    work_inv = working.inventory
+    
+    if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
+        delta = compare_trees(basis, working, want_unchanged=True)
+    else:
+        delta = working.changes_from(basis, want_unchanged=True)
+
+    ret['unchanged'] = len(delta.unchanged)
+    ret['modified'] = len(delta.modified)
+    ret['added'] = len(delta.added)
+    ret['removed'] = len(delta.removed)
+    ret['renamed'] = len(delta.renamed)
+
+    ignore_cnt = unknown_cnt = 0
+    for path in working.extras():
+        if working.is_ignored(path):
+            ignore_cnt += 1
+        else:
+            unknown_cnt += 1
+    ret['unknown'] = unknown_cnt
+    ret['ignored'] = ignore_cnt
+
+    dir_cnt = 0
+    for file_id in work_inv:
+        if work_inv.get_file_kind(file_id) == 'directory':
+            dir_cnt += 1
+    ret['subdirs'] = dir_cnt
+
+    return ret
+
+def get_branch_stats(branch):
+    """ Get statistics about a branch.
+    
+    :return: a dictionary containing the needed infos
+    """
+    ret = {}
+    repository = branch.repository
+    history = branch.revision_history()
+
+    revno = len(history)
+    ret['revno'] = revno 
+    committers = {}
+    for rev in history:
+        committers[repository.get_revision(rev).committer] = True
+    ret['commiters'] = len(committers)
+    if revno > 0:
+        firstrev = repository.get_revision(history[0])
+        age = int((time.time() - firstrev.timestamp) / 3600 / 24)
+        ret['age'] = age
+        ret['firstrev'] = osutils.format_date(firstrev.timestamp,
+                                              firstrev.timezone)
+
+        lastrev = repository.get_revision(history[-1])
+        ret['lastrev'] = osutils.format_date(lastrev.timestamp,
+                                             lastrev.timezone)
+
+    return ret
+
+def get_repository_stats(repository):
+    """ Get statistics about a repository.
+    
+    :return: a dictionary containing the needed infos
+    """
+    ret = {}
+    if repository.bzrdir.root_transport.listable():
+        c, t = repository._revision_store.total_size(repository.get_transaction())
+        ret['revisions'] = c
+        ret['size'] = t
+
+    return ret
+
+def diff_helper(tree, specific_files, external_diff_options, 
+                    old_revision_spec=None, new_revision_spec=None,
+                    old_label='a/', new_label='b/', output=None):
+    """ Helper for diff.
+
+    :param tree: a WorkingTree
+
+    :param specific_files: the specific files to compare, or None
+
+    :param external_diff_options: if non-None, run an external diff, and pass it these options
+
+    :param old_revision_spec: if None, use basis tree as old revision, otherwise use the tree for the specified revision. 
+
+    :param new_revision_spec:  if None, use working tree as new revision, otherwise use the tree for the specified revision.
+    """
+    import sys
+    
+    from bzrlib.diff import show_diff_trees
+    
+    if output == None:
+        output = sys.stdout
+    
+    def spec_tree(spec):
+        revision_id = spec.in_store(tree.branch).rev_id
+        return tree.branch.repository.revision_tree(revision_id)
+    
+    if old_revision_spec is None:
+        old_tree = tree.basis_tree()
+    else:
+        old_tree = spec_tree(old_revision_spec)
+
+    if new_revision_spec is None:
+        new_tree = tree
+    else:
+        new_tree = spec_tree(new_revision_spec)
+
+    return show_diff_trees(old_tree, new_tree, output, specific_files,
+                           external_diff_options,
+                           old_label=old_label, new_label=new_label)

=== modified file 'olive/log.py'
--- olive/log.py	2006-09-05 01:55:34 +0000
+++ olive/log.py	2006-09-25 01:58:44 +0000
@@ -32,7 +32,11 @@
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
 
-from viz.bzrkapp import BzrkApp
+try:
+    from bzrlib.plugins.gtk.viz.bzrkapp import BzrkApp
+except ImportError:
+    print "bzr-gtk visualize plugin not available."
+    sys.exit(1)
 
 class OliveLog:
     """ Display Log (bzrk) window and perform the needed actions. """
@@ -64,4 +68,4 @@
                                      _('You can perform this action only in a branch.'))
         else:
             self.app = BzrkApp()
-            self.app.show(self.branch, self.revid, None)
+            self.app.show(self.branch, self.revid, None, False)

=== modified file 'olive/remove.py'
--- olive/remove.py	2006-09-05 01:55:34 +0000
+++ olive/remove.py	2006-09-25 01:58:44 +0000
@@ -28,6 +28,7 @@
     sys.exit(1)
 
 import bzrlib.errors as errors
+from bzrlib.workingtree import WorkingTree
 
 class OliveRemove:
     """ Display the Remove file(s) dialog and perform the needed actions. """
@@ -90,18 +91,22 @@
             # Remove added files recursively
             try:
                 wt, path = WorkingTree.open_containing(directory)
-                wt.remove(path)
             except errors.NotBranchError:
                 self.dialog.error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
                 self.comm.set_busy(self.window, False)
                 return
-            except errors.NoMatchingFiles:
+            except:
+                raise
+            
+            added = wt.changes_from(wt.basis_tree()).added
+            file_list = sorted([f[0] for f in added], reverse=True)
+            if len(file_list) == 0:
                 dialog.warning_dialog(_('No matching files'),
                                       _('No added files were found in the working tree.'))
                 self.comm.set_busy(self.window, False)
-            except:
-                raise
+                return
+            wt.remove(file_list)
         else:
             # This should really never happen.
             pass

=== modified file 'po/olive-gtk.pot'
--- po/olive-gtk.pot	2006-09-17 17:27:45 +0000
+++ po/olive-gtk.pot	2006-09-25 01:58:44 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2006-09-17 19:26+0200\n"
+"POT-Creation-Date: 2006-09-25 01:23+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -129,7 +129,7 @@
 msgid "Refresh"
 msgstr ""
 
-#: olive.glade:441 menu.py:79
+#: olive.glade:441 menu.py:78
 msgid "Diff"
 msgstr ""
 
@@ -137,7 +137,7 @@
 msgid "Log"
 msgstr ""
 
-#: olive.glade:488 commit.py:118 menu.py:75
+#: olive.glade:488 commit.py:116 menu.py:74
 msgid "Commit"
 msgstr ""
 
@@ -541,26 +541,26 @@
 msgid "Title:"
 msgstr ""
 
-#: add.py:70 menu.py:142 menu.py:164 menu.py:189 move.py:69 remove.py:70
-#: rename.py:67
+#: add.py:70 menu.py:141 menu.py:161 menu.py:188 move.py:68 remove.py:69
+#: rename.py:66
 msgid "No file was selected"
 msgstr ""
 
-#: add.py:71 menu.py:143 menu.py:165 menu.py:190 remove.py:71
+#: add.py:71 menu.py:142 menu.py:162 menu.py:189 remove.py:70
 msgid ""
 "Please select a file from the list,\n"
 "or choose the other option."
 msgstr ""
 
-#: add.py:78 add.py:89 commit.py:96 commit.py:171 diff.py:106 handler.py:84
-#: handler.py:111 info.py:454 log.py:63 menu.py:149 menu.py:171 push.py:89
-#: push.py:128 push.py:158 remove.py:78 remove.py:94 status.py:149
+#: add.py:78 add.py:89 commit.py:92 commit.py:169 diff.py:106 handler.py:86
+#: handler.py:126 handler.py:138 info.py:562 log.py:63 menu.py:148 menu.py:170
+#: push.py:88 push.py:127 push.py:157 remove.py:78 remove.py:95 status.py:149
 msgid "Directory is not a branch"
 msgstr ""
 
-#: add.py:79 add.py:90 commit.py:97 commit.py:172 diff.py:107 handler.py:85
-#: handler.py:112 info.py:455 log.py:64 menu.py:150 menu.py:172 push.py:90
-#: push.py:129 push.py:159 remove.py:79 remove.py:95 status.py:150
+#: add.py:79 add.py:90 commit.py:93 commit.py:170 diff.py:107 handler.py:87
+#: handler.py:127 handler.py:139 info.py:563 log.py:64 menu.py:149 menu.py:171
+#: push.py:89 push.py:128 push.py:158 remove.py:79 remove.py:96 status.py:150
 msgid "You can perform this action only in a branch."
 msgstr ""
 
@@ -572,491 +572,457 @@
 msgid "Please specify a title to continue."
 msgstr ""
 
+#: branch.py:65 checkout.py:65
+msgid "Missing branch location"
+msgstr ""
+
 #: branch.py:66 checkout.py:66
-msgid "Missing branch location"
-msgstr ""
-
-#: branch.py:67 checkout.py:67
 msgid "You must specify a branch location."
 msgstr ""
 
-#: branch.py:81
+#: branch.py:100
+msgid "Branching successful"
+msgstr ""
+
+#: branch.py:101
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: branch.py:104
 msgid "Non existing source"
 msgstr ""
 
-#: branch.py:82
+#: branch.py:105
 #, python-format
 msgid ""
 "The location (%s)\n"
 "doesn't exist."
 msgstr ""
 
-#: branch.py:86 checkout.py:89
+#: branch.py:109 checkout.py:122
 msgid "Target already exists"
 msgstr ""
 
-#: branch.py:87 checkout.py:90
+#: branch.py:110 checkout.py:123
 #, python-format
 msgid ""
 "Target directory (%s)\n"
 "already exists. Please select another target."
 msgstr ""
 
-#: branch.py:91 checkout.py:94 push.py:136 push.py:163
+#: branch.py:114 checkout.py:127 push.py:135 push.py:162
 msgid "Non existing parent directory"
 msgstr ""
 
-#: branch.py:92 checkout.py:95 push.py:137 push.py:164
+#: branch.py:115 checkout.py:128 push.py:136 push.py:163
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
 "doesn't exist."
 msgstr ""
 
-#: branch.py:96
+#: branch.py:119
 msgid "Non existing revision"
 msgstr ""
 
-#: branch.py:97
+#: branch.py:120
 msgid "The revision you specified doesn't exist."
 msgstr ""
 
-#: branch.py:101 checkout.py:84
+#: branch.py:124 checkout.py:117
 msgid "Location is not a branch"
 msgstr ""
 
-#: branch.py:102 checkout.py:85
+#: branch.py:125 checkout.py:118
 msgid "The specified location has to be a branch."
 msgstr ""
 
-#: branch.py:109
-msgid "Branching successful"
-msgstr ""
-
-#: branch.py:110
-#, python-format
-msgid "%d revision(s) branched."
+#: commit.py:118
+msgid "Path"
 msgstr ""
 
 #: commit.py:120
-msgid "Path"
-msgstr ""
-
-#: commit.py:122
 msgid "Type"
 msgstr ""
 
-#: commit.py:126 __init__.py:215 __init__.py:460
+#: commit.py:124
 msgid "added"
 msgstr ""
 
-#: commit.py:129 __init__.py:213 __init__.py:458
+#: commit.py:127
 msgid "removed"
 msgstr ""
 
-#: commit.py:132 __init__.py:211 __init__.py:456
+#: commit.py:130
 msgid "renamed"
 msgstr ""
 
-#: commit.py:135 __init__.py:217 __init__.py:462
+#: commit.py:133
 msgid "modified"
 msgstr ""
 
-#: commit.py:176
+#: commit.py:174
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: commit.py:177
+#: commit.py:175
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: commit.py:181
+#: commit.py:179
 msgid "No changes to commit"
 msgstr ""
 
-#: commit.py:182
+#: commit.py:180
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: commit.py:186
+#: commit.py:184
 msgid "Conflicts in tree"
 msgstr ""
 
-#: commit.py:187
+#: commit.py:185
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: commit.py:191
+#: commit.py:189
 msgid "Strict commit failed"
 msgstr ""
 
-#: commit.py:192
+#: commit.py:190
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: commit.py:196
+#: commit.py:194
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: commit.py:197
+#: commit.py:195
 #, python-format
 msgid "%s"
 msgstr ""
 
-#: diff.py:149 diffwin.py:144
+#: diff.py:149
 msgid "Complete Diff"
 msgstr ""
 
-#: diff.py:152 status.py:110 diffwin.py:147
+#: diff.py:152 status.py:110
 msgid "Added"
 msgstr ""
 
-#: diff.py:157 status.py:116 diffwin.py:152
+#: diff.py:157 status.py:116
 msgid "Removed"
 msgstr ""
 
-#: diff.py:162 status.py:122 diffwin.py:157
+#: diff.py:162 status.py:122
 msgid "Renamed"
 msgstr ""
 
-#: diff.py:168 status.py:129 diffwin.py:163
+#: diff.py:168 status.py:129
 msgid "Modified"
 msgstr ""
 
-#: handler.py:87
-msgid "Connection error"
-msgstr ""
-
-#: handler.py:88
-msgid ""
-"Cannot connect to remote location.\n"
-"Please try again later."
-msgstr ""
-
-#: handler.py:90 handler.py:114
+#: handler.py:92 handler.py:131
 msgid "Parent location is unknown"
 msgstr ""
 
-#: handler.py:91
+#: handler.py:93
 msgid "Cannot determine missing revisions if no parent location is known."
 msgstr ""
 
-#: handler.py:94
+#: handler.py:104
 msgid "There are missing revisions"
 msgstr ""
 
-#: handler.py:95
+#: handler.py:105
 #, python-format
 msgid "%d revision(s) missing."
 msgstr ""
 
-#: handler.py:97
+#: handler.py:107
 msgid "Local branch up to date"
 msgstr ""
 
-#: handler.py:98
+#: handler.py:108
 msgid "There are no missing revisions."
 msgstr ""
 
-#: handler.py:115
-msgid "Pulling is not possible until there is no parent location."
+#: handler.py:132
+msgid "Pulling is not possible until there is a parent location."
 msgstr ""
 
-#: handler.py:117
+#: handler.py:150
 msgid "Pull successful"
 msgstr ""
 
-#: handler.py:118
+#: handler.py:151
 #, python-format
 msgid "%d revision(s) pulled."
 msgstr ""
 
-#: handler.py:141
+#: handler.py:193
 msgid "Directory is already a branch"
 msgstr ""
 
-#: handler.py:142
+#: handler.py:194
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: handler.py:144
+#: handler.py:196
 msgid "Branch without a working tree"
 msgstr ""
 
-#: handler.py:145
+#: handler.py:197
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: handler.py:149
-msgid "Ininialize successful"
+#: handler.py:199
+msgid "Initialize successful"
 msgstr ""
 
-#: handler.py:150
+#: handler.py:200
 msgid "Directory successfully initialized."
 msgstr ""
 
-#: handler.py:295
+#: handler.py:347
 msgid "We feel sorry"
 msgstr ""
 
-#: handler.py:296
+#: handler.py:348
 msgid "This feature is not yet implemented."
 msgstr ""
 
-#: __init__.py:58
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: __init__.py:153 __init__.py:398
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:160 menu.py:83
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:219 __init__.py:464
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:221 __init__.py:466
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:226
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:227
-msgid "Status"
-msgstr ""
-
-#: menu.py:51
+#: menu.py:50
 msgid "UI description file cannot be found."
 msgstr ""
 
+#: menu.py:62
+msgid "Add"
+msgstr ""
+
 #: menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64
 msgid "Add the selected file"
 msgstr ""
 
-#: menu.py:67 menu.py:91
+#: menu.py:66 menu.py:90
 msgid "Remove"
 msgstr ""
 
-#: menu.py:68
+#: menu.py:67
 msgid "Remove the selected file"
 msgstr ""
 
+#: menu.py:70
+msgid "Open"
+msgstr ""
+
 #: menu.py:71
-msgid "Open"
-msgstr ""
-
-#: menu.py:72
 msgid "Open the selected file"
 msgstr ""
 
-#: menu.py:76
+#: menu.py:75
 msgid "Commit the changes"
 msgstr ""
 
-#: menu.py:80
+#: menu.py:79
 msgid "Show the diff of the file"
 msgstr ""
 
-#: menu.py:84
+#: menu.py:82
+msgid "Bookmark"
+msgstr ""
+
+#: menu.py:83
 msgid "Bookmark current location"
 msgstr ""
 
+#: menu.py:86
+msgid "Edit"
+msgstr ""
+
 #: menu.py:87
-msgid "Edit"
-msgstr ""
-
-#: menu.py:88
 msgid "Edit the selected bookmark"
 msgstr ""
 
-#: menu.py:92
+#: menu.py:91
 msgid "Remove the selected bookmark"
 msgstr ""
 
+#: menu.py:94
+msgid "Open Folder"
+msgstr ""
+
 #: menu.py:95
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:96
 msgid "Open bookmark folder in Nautilus"
 msgstr ""
 
+#: menu.py:98
+msgid "Selected..."
+msgstr ""
+
 #: menu.py:99
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:100
 msgid "Show the differences of the selected file"
 msgstr ""
 
+#: menu.py:102
+msgid "All..."
+msgstr ""
+
 #: menu.py:103
-msgid "All..."
-msgstr ""
-
-#: menu.py:104
 msgid "Show the differences of all files"
 msgstr ""
 
-#: menu.py:175 remove.py:83
+#: menu.py:174 remove.py:83
 msgid "File not versioned"
 msgstr ""
 
-#: menu.py:176 remove.py:84
+#: menu.py:175 remove.py:84
 msgid "The selected file is not versioned."
 msgstr ""
 
+#: menu.py:219
+msgid "Bookmark successfully added"
+msgstr ""
+
 #: menu.py:220
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:221
 msgid ""
 "The current directory was bookmarked. You can reach\n"
 "it by selecting it from the left panel."
 msgstr ""
 
+#: menu.py:222
+msgid "Location already bookmarked"
+msgstr ""
+
 #: menu.py:223
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:224
 msgid ""
 "The current directory is already bookmarked.\n"
 "See the left panel for reference."
 msgstr ""
 
+#: mkdir.py:66
+msgid "No directory name given"
+msgstr ""
+
 #: mkdir.py:67
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68
 msgid "Please specify a desired name for the new directory."
 msgstr ""
 
-#: mkdir.py:78 mkdir.py:90
+#: mkdir.py:83 mkdir.py:96
 msgid "Directory already exists"
 msgstr ""
 
-#: mkdir.py:79 mkdir.py:91
+#: mkdir.py:84 mkdir.py:97
 msgid "Please specify another name to continue."
 msgstr ""
 
-#: mkdir.py:82
+#: mkdir.py:88
 msgid "Directory is not in a branch"
 msgstr ""
 
-#: mkdir.py:83
+#: mkdir.py:89
 msgid "You can only create a non-versioned directory."
 msgstr ""
 
-#: move.py:70 rename.py:68
+#: move.py:69 rename.py:67
 msgid "Please select a file from the list to proceed."
 msgstr ""
 
-#: move.py:79 rename.py:83
+#: move.py:79 rename.py:84
+msgid "Not the same branch"
+msgstr ""
+
+#: move.py:80 rename.py:85
+msgid "The destination is not in the same branch."
+msgstr ""
+
+#: move.py:85 rename.py:89
 msgid "File is not in a branch"
 msgstr ""
 
-#: move.py:80 rename.py:84
+#: move.py:86 rename.py:90
 msgid "The selected file is not in a branch."
 msgstr ""
 
-#: move.py:83 rename.py:87
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:84 rename.py:88
-msgid "The destination is not in the same branch."
+#: push.py:131
+msgid "Push location is unknown"
 msgstr ""
 
 #: push.py:132
-msgid "Push location is unknown"
-msgstr ""
-
-#: push.py:133
 msgid "Please specify a location manually."
 msgstr ""
 
+#: push.py:139 push.py:167
+msgid "Branches have been diverged"
+msgstr ""
+
 #: push.py:140 push.py:168
-msgid "Branches have been diverged"
-msgstr ""
-
-#: push.py:141 push.py:169
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
+#: push.py:147
+msgid "No location specified"
+msgstr ""
+
 #: push.py:148
-msgid "No location specified"
-msgstr ""
-
-#: push.py:149
 msgid "Please specify a location or use the default."
 msgstr ""
 
+#: push.py:172
+msgid "Path prefix not created"
+msgstr ""
+
 #: push.py:173
-msgid "Path prefix not created"
-msgstr ""
-
-#: push.py:174
 msgid ""
 "The path leading up to the specified location couldn't\n"
 "be created."
 msgstr ""
 
+#: push.py:183
+msgid "Push successful"
+msgstr ""
+
 #: push.py:184
-msgid "Push successful"
-msgstr ""
-
-#: push.py:185
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:203
+#: push.py:202
 msgid "<b>Write access is probably available</b>"
 msgstr ""
 
-#: push.py:207
+#: push.py:206
 msgid "<b>No write access</b>"
 msgstr ""
 
-#: push.py:211
+#: push.py:210
 msgid "<b>Could not determine</b>"
 msgstr ""
 
-#: remove.py:99
+#: remove.py:100
 msgid "No matching files"
 msgstr ""
 
-#: remove.py:100
+#: remove.py:101
 msgid "No added files were found in the working tree."
 msgstr ""
 
+#: rename.py:71
+msgid "Filename not given"
+msgstr ""
+
 #: rename.py:72
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:73
 msgid "Please specify a new name for the file."
 msgstr ""
 
@@ -1067,35 +1033,3 @@
 #: status.py:142
 msgid "No changes."
 msgstr ""
-
-#: branchwin.py:113
-msgid "Message"
-msgstr ""
-
-#: branchwin.py:122
-msgid "Committer"
-msgstr ""
-
-#: branchwin.py:130
-msgid "Date"
-msgstr ""
-
-#: branchwin.py:188
-msgid "<b>Revision:</b>"
-msgstr ""
-
-#: branchwin.py:204
-msgid "<b>Committer:</b>"
-msgstr ""
-
-#: branchwin.py:220
-msgid "<b>Branch nick:</b>"
-msgstr ""
-
-#: branchwin.py:236
-msgid "<b>Timestamp:</b>"
-msgstr ""
-
-#: branchwin.py:258
-msgid "<b>Parents:</b>"
-msgstr ""

=== modified file 'setup.py'
--- setup.py	2006-09-13 20:19:31 +0000
+++ setup.py	2006-09-25 01:58:44 +0000
@@ -61,7 +61,7 @@
 		return data_files
 
 setup(name='Olive',
-      version='0.1',
+      version='0.11.0',
       description='Olive - Graphical frontend for Bazaar',
       author='Szilveszter Farkas (Phanatic)',
       author_email='szilveszter.farkas@gmail.com',

